precision mediump float;

out highp vec4		fragColor;
in highp vec2		texcoord;
in float			outAurafract;
in float			outFadein;

void main()
{
	highp vec4 clear = vec4(0,0,0,0);
	highp vec4 auracolor = vec4(.375,.6,.75,1.0);
	
	// overall aura brightness
	auracolor *= 0.3;
	
	highp vec4 clr;
	
	highp vec2 texcoord_unit = texcoord;
	texcoord_unit -= 0.5;
	texcoord_unit *= 2.0;
	
	float dist = sqrt((texcoord_unit.x * texcoord_unit.x) + (texcoord_unit.y * texcoord_unit.y));
	
	float aurastrength = 1.0 - dist;
	aurastrength = smoothstep(1.0, 0.8, dist);
	
	clr = mix(clear,auracolor,1.0 * aurastrength);
	
	fragColor = clr;
}
